Subject: Re: bug#53896: 28.0.91; Icomplete Vertical Mode fails to preview "C-x 8 RET 8072"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Feb 2022 18:36:47 +0200

> Date: Sun, 13 Feb 2022 14:18:41 +0000 (UTC)
> From: Van Ly <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> 
> [1:text/plain Hide]
> 
> On Sun, 13 Feb 2022, Eli Zaretskii wrote:
> 
> >>
> >> '''
> >> U+8072	kCantonese	sing1
> >> U+8072	kDefinition	sound, voice, noise; tone; music
> >> U+8072	kHangul	성:0E
> >> U+8072	kHanyuPinlu	shēng(2269) sheng(57)
> >> U+8072	kHanyuPinyin	42794.040:shēng
> >> U+8072	kJapaneseKun	KOE
> >> U+8072	kJapaneseOn	SEI SHOU
> >> U+8072	kKorean	SENG
> >> U+8072	kMandarin	shēng
> >> U+8072	kTang	*shiɛng
> >> U+8072	kVietnamese	thanh
> >> U+8072	kXHC1983	1023.021:shēng
> >> '''
> >
> > I don't understand -- you suggest to use all of them?
> >
> 
> I see in the *Help* buffer in response to describe-char a section
> 
> '''
>           Unicode data:
>                   Name: <CJK Ideograph>
>               Category: Letter, Other
>        Combining class: 0
>          Bidi category: Left-to-Right
> '''
> 
> there could be a 'customize what to show' link that adjusts to 
> include none, any or all of the lines for U+8072 in that section.

We are mis-communicating.  I thought you were talking about
completions on character names in "C-x 8 RET", and I thought you were
suggesting how to provide meaningful names to CJK Ideographs for that
completion.  But for that, each character should have a single unique
name.